com.impinj.octane

## Enum DirectionMode

- java.lang.Object
- - java.lang.Enum<DirectionMode>
  - - com.impinj.octane.DirectionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DirectionMode>

      public enum DirectionMode
      extends java.lang.Enum<DirectionMode>

  Provides the options available for tweaking the xArray's operation when in direction mode. It wraps the equivilent LTK type ImpinjDirectionRFMode.
  See Also:
    `ImpinjDirectionRFMode`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HighPerformance` Tells the xArray to perform reads more quickly at the expense of picking up fewer tags.
    `HighSensitivity` Tells the xArray to operate a higher sensitivity at the expense of slower tag reads.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DirectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DirectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HighPerformance

          public static final DirectionMode HighPerformance

      Tells the xArray to perform reads more quickly at the expense of picking up fewer tags.

    - #### HighSensitivity

          public static final DirectionMode HighSensitivity

      Tells the xArray to operate a higher sensitivity at the expense of slower tag reads.

  - ### Method Detail

    - #### values

          public static DirectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DirectionMode c : DirectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DirectionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null